//-----------------------------------------------------------
//
//-----------------------------------------------------------
class DRUNKROCKET expands RocketMk2;

var actor seeking;

replication
{
	// Relationships.
	reliable if( Role==ROLE_Authority )
		Seeking;
}

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	seeking=None;
	Velocity = Speed * vector(Rotation);
	SetTimer(0.15,true);
}

simulated function timer()
{
	local vector x,y,z;
	local float bestDist, bestAim;
	local vector SeekingDir;
	local float MagnitudeVel;

	If (Seeking==None)
	{
		bestAim = 0.85;//0.93
		seeking = instigator.PickTarget(bestAim, bestDist, Normal(Velocity), Location);
	}
	If (Seeking != None  && Seeking != Instigator)
	{
		SeekingDir = Normal(Seeking.Location - Location);
			MagnitudeVel = VSize(Velocity);
			Velocity =  MagnitudeVel * Normal(SeekingDir * 0.5 * MagnitudeVel + Velocity);
			SetRotation(rotator(Velocity));
	}

	GetAxes(rotation,x,y,z);
	x.x+=0.7*(0.5-frand());
	x.y+=0.7*(0.5-frand());
	x.z+=0.7*(0.5-frand());
	SetRotation(rotator(x));
	Velocity = Speed * vector(Rotation);
}

defaultproperties
{
}
