//-----------------------------------------------------------
// Author   : Boom-Boy
// Homepage : http://mth.or.tp/
//
// Version  : 1.0
//-----------------------------------------------------------
class CrazyTentacle expands ASMDShockTentacle;

#exec OBJ LOAD FILE="..\Textures\Mine.utx"

var(CrazyTentacle) int ShotCount;

function PlayRangedAttack() {

	local vector HitLocation, HitNormal, StartTrace, EndTrace, X, Y, Z;
	local rotator AdjustedAim;
	local actor Other;
	local int i;
	local float ShotTime;

	for (i = 0; i < ShotCount; i++) {

		MakeNoise(1.0);
		GetAxes(ViewRotation, X, Y, Z);
		StartTrace = Location + CollisionHeight * vect(0, 0, -1.2);
		EndTrace = StartTrace + 1.0 * (FRand() - 0.5) * Y * 1000
			+ 1.0 * (FRand() - 0.5) * Z * 1000;

		AdjustedAim = AdjustAim(1000000, StartTrace, AimErr, bLeadTarget, bWarnTarget);
		EndTrace += (10000 * vector(AdjustedAim));
		Other = TraceShot(HitLocation, HitNormal, EndTrace, StartTrace);

		if (Other == Level) {
			Spawn(class'UT_HeavyWallHitEffect', , , HitLocation + HitNormal, Rotator(HitNormal));
		} else if (Other != None && Other != Self && Other.bIsPawn) {
			Other.PlaySound(Sound 'ChunkHit', , 4.0, , 100);
			Other.TakeDamage(9 + Rand(6), Pawn(Owner), HitLocation, 3500 * X, 'Shot');
		} else if (Other != None && Other != Self && !Other.bIsPawn && !Other.IsA('Carcass')) {
			Spawn(class'UT_SpriteSmokePuff', , , HitLocation + HitNormal * 9);
		}

		if ((i % 4) == 0) {
			if ( VSize(HitLocation - StartTrace) > 250 )
				Spawn(class'MTracer', , , StartTrace + 96 * vector(AdjustedAim), rotator(EndTrace - StartTrace));
		}

		PlayAnim('Shoot', Refire);
	}
}

defaultproperties
{
     ShotCount=5
     Texture=Texture'Mine.Pillar.mPillar1'
}
