//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ShockSplash expands BioSplash;

simulated function SetWall(vector HitNormal, Actor Wall)
{
	local vector TraceNorm, TraceLoc, Extent;
	local actor HitActor;
	local rotator RandRot;

	SurfaceNormal = HitNormal;
	if ( Level.NetMode != NM_DedicatedServer )
		spawn(class'Botpack.EnergyImpact',,,Location, rotator(SurfaceNormal));
	RandRot = rotator(HitNormal);
	RandRot.Roll += 32768;
	SetRotation(RandRot);
	if ( Mover(Wall) != None )
		SetBase(Wall);
}

function Timer()
{
	local smallshockwave f;

	f = spawn(class'smallshockwave',,,Location + SurfaceNormal*8);
	if ( (Mover(Base) != None) && Mover(Base).bDamageTriggered )
		Base.TakeDamage( Damage, instigator, Location, MomentumTransfer * Normal(Velocity), MyDamageType);

	HurtRadius(damage * Drawscale, 200, MyDamageType, MomentumTransfer * Drawscale, Location);
	Destroy();
}

defaultproperties
{
     MyDamageType=jolted
     Texture=Texture'Botpack.Skins.ShocktT1'
     LightHue=195
}
