//-----------------------------------------------------------
//
//-----------------------------------------------------------
class fragrocket expands RocketMk2;

var bool bCanHitOwner, bHitWater;
var float Count, SmokeRate;
var int NumExtraGrenades;

simulated function Tick(float DeltaTime)
{
}

auto state Flying
{

	simulated function ZoneChange( Zoneinfo NewZone )
	{
		local waterring w;

		if (!NewZone.bWaterZone || bHitWater) Return;

		bHitWater = True;
		if ( Level.NetMode != NM_DedicatedServer )
		{
			w = Spawn(class'WaterRing',,,,rot(16384,0,0));
			w.DrawScale = 0.2;
			w.RemoteRole = ROLE_None;
			PlayAnim( 'Still', 3.0 );
		}
		Velocity=0.6*Velocity;
	}

	simulated function ProcessTouch (Actor Other, Vector HitLocation)
	{
		if ( (Other != instigator) && !Other.IsA('Projectile') )
			Explode(HitLocation,Normal(HitLocation-Other.Location));
	}

	function BlowUp(vector HitLocation)
	{
		HurtRadius(Damage,220.0, MyDamageType, MomentumTransfer, HitLocation );
		MakeNoise(1.0);
	}

	simulated function Explode(vector HitLocation, vector HitNormal)
	{
		local vector start;
		local UT_SpriteBallExplosion s;

		s = spawn(class'UT_SpriteBallExplosion',,,HitLocation + HitNormal*16);
 		s.RemoteRole = ROLE_None;

		BlowUp(HitLocation);
	start = Location + 10 * HitNormal;
	Spawn( class 'UTChunk2',, '', Start, Rotator(VRand()));
	Spawn( class 'UTChunk3',, '', Start, Rotator(VRand()));
	Spawn( class 'UTChunk4',, '', Start, Rotator(VRand()));
	Spawn( class 'UTChunk1',, '', Start, Rotator(VRand()));

 		Destroy();
	}

	function BeginState()
	{
		local vector Dir;

		Dir = vector(Rotation);
		Velocity = speed * Dir;
		Acceleration = Dir * 50;
		PlayAnim( 'Wing', 0.2 );
		if (Region.Zone.bWaterZone)
		{
			bHitWater = True;
			Velocity=0.6*Velocity;
		}
	}
}

defaultproperties
{
}
